View Issue Details

IDProjectCategoryView StatusLast Update
0032974Open CASCADEOCCT:Configurationpublic2022-05-29 10:09
Reporterbugmaster Assigned Toafokin 
PrioritynormalSeverityfeature 
Status assignedResolutionreopened 
PlatformWindowsOSVC++ 2022 
Target Version7.7.0 
Summary0032974: Configuration, CMake - update environment for VS2022
Description update environment for VS2022
Steps To ReproducePlease revise.
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0032888 newbugmaster Configuration - Visual Studio 2022 bugs 

Activities

git

2022-05-16 20:28

administrator   ~0108448

Branch CR32974 has been created by afokin.

SHA-1: 33463eef63b49915024a8dd2e461cd68d7efd69b


No new revisions were added by this update.

git

2022-05-16 20:35

administrator   ~0108449

Branch CR32974 has been updated by afokin.

SHA-1: fc1391f970349bbe5a1192e9e88f0516daad5d9f


Detailed log of new commits:

Author: afokin
Date: Mon May 16 20:34:22 2022 +0300

    add vs2022

git

2022-05-16 20:42

administrator   ~0108450

Branch CR32974 has been updated forcibly by afokin.

SHA-1: 7e0f4d1fb66d8e03ac11de122b487eb6f0777acf

git

2022-05-16 21:49

administrator   ~0108452

Branch CR32974 has been updated by afokin.

SHA-1: d4dd6fee7a098484e496b4c3bf797b68cf74cf27


Detailed log of new commits:

Author: afokin
Date: Mon May 16 21:48:21 2022 +0300

    removing a repeating condition in install.bat

git

2022-05-19 16:40

administrator   ~0108501

Branch CR32974 has been updated by afokin.

SHA-1: 026200431fbbf63e51fc4b9ef661b8a87ca31bcf


Detailed log of new commits:

Author: afokin
Date: Thu May 19 16:36:32 2022 +0300

    Merge branch 'CR32974' of ssh://git.dev.opencascade.org/occt into CR32974

Author: afokin
Date: Thu May 19 16:32:07 2022 +0300

    add vc143 in .md files

Author: afokin
Date: Mon May 16 21:48:21 2022 +0300

    removing a repeating condition in install.bat

Author: afokin
Date: Mon May 16 20:34:22 2022 +0300

    0032974: Configuration - update environment for VS2022

Author: ifv
Date: Mon Apr 25 18:14:18 2022 +0300

    0032942: Modeling Algorithms - Boolean operation Common has no result in specific example
    
    IntTools/IntTools_BeanFaceIntersector.cxx - calculation of deflection for surface bnd box is added
    tests/bugs/modalg_8/bug32942,bug32943,bug32944,bug32945 - new test cases added

Author: abulyche
Date: Sun Apr 17 17:07:01 2022 +0300

    0027081: BRepOffsetAPI_MakeOffsetShape fails on shapes with internal edges
    Added the test for this problem.
    Added new draw command "mkoffsetshape".

Author: kgv
Date: Sat Apr 30 22:23:08 2022 +0300

    0032955: Draw Harness, ViewerTest - extend vcolorconvert command to print color in hex format

Author: aml
Date: Fri Jan 14 18:05:42 2022 +0300

    0032961: Coding - get rid of unused headers [IGESAppli to IGESToBRep]

Author: ddzama
Date: Wed Mar 30 11:40:11 2022 +0300

    0032908: Coding Rules - fix E0349 MSVC compilation error on VS2019/C++20
    
    Get rid of raw C strings in error code to avoid error 0349.
    Use std::string instead.

Author: ddzama
Date: Thu Mar 31 16:18:19 2022 +0300

    0032919: Coding Rules - suppress useless MSVC warning C26812 on VS2019/C++20 (prefer 'enum class' over 'enum')
    
    CMake and genproj scripts have been updated to suppress this misleading warning that cannot be fixed without breaking existing API.

Author: aml
Date: Wed May 4 11:11:00 2022 +0300

    0032958: Coding - problem compile OCCT on Debian80-64 and MacOS-x86_64 with debugging mode
    
    Add missing include.

Author: aml
Date: Fri Apr 29 15:21:24 2022 +0300

    0032953: Coding - add missing references where applicable

Author: kgv
Date: Wed May 4 12:54:52 2022 +0300

    0032959: Visualization, OpenVR - add Oculus Touch controller bindings

git

2022-05-25 13:48

administrator   ~0108610

Branch CR32974 has been updated forcibly by afokin.

SHA-1: 79f56597f6a8907e2db5b4ceed203c95c0f8b9b3

kgv

2022-05-26 16:20

developer   ~0108627

+) else if /I "%VCFMT%" == "vc143" (
+  for /f "usebackq delims=" %%i in (`vswhere.exe -version "[17.0,17.99]" -latest -requires Microsoft.VisualStudio.Workload.%VCPROP% -property installationPath`) do (
+    set "VCVARS=%%i\VC\Auxiliary\Build\vcvarsall.bat"
+  ) 
+  set "VCPlatformToolSet=v142"  

Please fix misprint.

+) else if "%VCVER%" == "vc143" (
+  call "%VS142COMNTOOLS%/vsvars32.bat" > nul

Another misprint (in products).

git

2022-05-28 15:25

administrator   ~0108697

Branch CR32974 has been deleted by mnt.

SHA-1: 79f56597f6a8907e2db5b4ceed203c95c0f8b9b3

kgv

2022-05-29 10:09

developer   ~0108730

I'm still insisting in fixing misprints in patch pushed to "master" or elaborating why they should be left as is.
   set "VCPlatformToolSet=v142"
+) else if /I "%VCFMT%" == "vc143" (
+  for /f "usebackq delims=" %%i in (`vswhere.exe -version "[17.0,17.99]" -latest -requires Microsoft.VisualStudio.Workload.%VCPROP% -property installationPath`) do (
+    set "VCVARS=%%i\VC\Auxiliary\Build\vcvarsall.bat"
+  ) 
+  set "VCPlatformToolSet=v142" 

Related Changesets

occt-products: master aa5fde96

2022-05-17 12:57:35

afokin


Committer: inv Details Diff
0032974: Configuration - update environment for VS2022

fixed misprint
Affected Issues
0032974
mod - adm/templates/build.bat Diff File
mod - adm/templates/env.training.bat.in Diff File
mod - adm/templates/install.bat Diff File

occt: master 23c56fc6

2022-05-25 11:56:13

afokin


Committer: inv Details Diff
0032974: Configuration - update environment for VS2022

removing a repeating condition in install.bat

add vc143 in .md files
Affected Issues
0032974
mod - adm/qmake/OccCppConfig.pri Diff File
mod - adm/templates/build.bat Diff File
mod - adm/templates/env.bat.in Diff File
mod - adm/templates/env.samples.bat.in Diff File
mod - adm/templates/install.bat Diff File
mod - dox/build/build_occt/building_occt.md Diff File
mod - dox/introduction/introduction.md Diff File
mod - samples/qt/OCCTOverview/env.bat Diff File

Issue History

Date Modified Username Field Change
2022-05-16 15:29 bugmaster New Issue
2022-05-16 15:29 bugmaster Assigned To => afokin
2022-05-16 20:21 bugmaster Relationship added child of 0032888
2022-05-16 20:28 git Note Added: 0108448
2022-05-16 20:35 git Note Added: 0108449
2022-05-16 20:42 git Note Added: 0108450
2022-05-16 21:49 git Note Added: 0108452
2022-05-19 16:40 git Note Added: 0108501
2022-05-25 13:48 git Note Added: 0108610
2022-05-26 15:18 afokin Assigned To afokin => kgv
2022-05-26 15:18 afokin Status new => resolved
2022-05-26 15:18 afokin Steps to Reproduce Updated
2022-05-26 16:20 kgv Note Added: 0108627
2022-05-26 16:20 kgv Assigned To kgv => afokin
2022-05-26 16:20 kgv Severity minor => feature
2022-05-26 16:20 kgv Status resolved => assigned
2022-05-26 16:20 kgv Summary Configuration - update environment for VS2022 => Configuration, CMake - update environment for VS2022
2022-05-26 16:20 kgv Test case number => N/A
2022-05-28 09:50 afokin Assigned To afokin => bugmaster
2022-05-28 14:24 inv Changeset attached => occt master 23c56fc6
2022-05-28 14:24 afokin Assigned To bugmaster => afokin
2022-05-28 14:24 afokin Status assigned => verified
2022-05-28 14:24 afokin Resolution open => fixed
2022-05-28 14:24 inv Changeset attached => occt-products master aa5fde96
2022-05-28 15:25 git Note Added: 0108697
2022-05-29 10:09 kgv Status verified => feedback
2022-05-29 10:09 kgv Resolution fixed => reopened
2022-05-29 10:09 kgv Note Added: 0108730
2022-05-29 10:09 kgv Status feedback => assigned